Subject: Re: cygwin32 environment variable
From: [email-masked] (Michael Weiser)

7 Jun 1998 11:14:47 -0700
Message-ID: <3579754c.512296.cygnus.gnu-win32@mail>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Hi John,

You wrote:

>Hi again.  Where can I find out about cygwin32 environment variable
>options?  
I recently asked the same question and got the following answers:

From: [email-masked] (Michael Hirmke):
>It is not complete, but IMHO better than nothing:
>
>[no]strip_title - works in conjunction with 'title'.  Strips the path spec
>                  from what is displayed in the console title bar when the
>                  program is run.
>
>[no]binmode     - Use 'binmode' as the default open mode when the mode is
>                  not otherwise specified in the open or by mount.
>
>[no]glob        - Do not perform globbing operations on the command line when
>                  a cygwin process is being invoked from a non-cygwin shell.
>
>strace          - A cygwinb19.dll debugging aid.  Setting mask to '1' will
>                  cause reams of information about the operation of cygwin
>                  to be written to 'file' as cygwin operates.  The rest
>                  of the bits control the display various cygwin subsystems.
>                  For a complete list check out /usr/include/sys/strace.h.
>                  The cache setting controls how much strace output will be
>                  held in memory before being output to disk.
>
>Thi is, what Chris Faylor has written a few months ago, so there are have
>been added a few more options:
>
>[no]tty
>[no]title
>...???...

From: Sergey Okhapkin <[email-masked]>:
>[no]tty 		- disable(default)/enable tty support for consoles.
>[no]title		- disable/enable(default) displaying of a current running proces's command line
>			on a console title.
>
>If you run my patched cygwinb19.dll, more options are available:
>
>[no]ntea		- disable(default)/enable usage of extended file attributes on Windows NT.
>[no]mixed		- disable(default)/enable case-sensitive filenames on ntfs partitions.

Hope that helps. :)

BTW: What about adding it to the FAQ? I think it's quite comprehensive
now...

bye

Micha
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".